## libmikmod 3.3.6

=== CMakeLists.txt ===
# Copyright (c) 2012 Shlomi Fish
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use,
# copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following
# conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#
# (This copyright notice applies only to this file)

PROJECT(libmikmod C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
LIST(APPEND CMAKE_MODULE_PATH "${libmikmod_SOURCE_DIR}/cmake")

SET(LIBMIKMOD_MAJOR_VERSION 3)
SET(LIBMIKMOD_MINOR_VERSION 3)
SET(LIBMIKMOD_MICRO_VERSION 6)

SET(VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
SET(LIBMIKMOD_VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
SET(CPACK_PACKAGE_VERSION_MAJOR ${LIBMIKMOD_MAJOR_VERSION})
SET(CPACK_PACKAGE_VERSION_MINOR ${LIBMIKMOD_MINOR_VERSION})
SET(CPACK_PACKAGE_VERSION_PATCH ${LIBMIKMOD_MICRO_VERSION})

# package generation (make package[_source])
SET(CPACK_PACKAGE_NAME "libmikmod")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "libmikmod - a module file playing and sound library")
SET(CPACK_PACKAGE_VENDOR "Shlomi Fish")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.LESSER")

SET(CPACK_PACKAGE_INSTALL_DIRECTORY "${CPACK_PACKAGE_DESCRIPTION_SUMMARY} ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

SET(base_with_ver "libmikmod-[0-9]+\\\\.[0-9]+\\\\.[0-9]+")
SET(CPACK_SOURCE_IGNORE_FILES
    "/_CPack_Packages/"
    "/CMakeFiles/"
    "/.deps/"
    "^${base_with_ver}(-Source|-Linux)?/"
    "${base_with_ver}.tar\\\\.(gz|bz2|Z|lzma|xz)$"
    "\\\\.o$"
    "~$"
    "/libmikmod\\\\.(a|la)$"
    "\\\\.so(\\\\.[0-9]+)*$"
    "/\\\\.svn/"
    "\\\\.(pdf|fo)$"
    "/t/t/.*\\\\.exe$"
    "/t/Presets"
    "/CMakeCache\\\\.txt$"
    "/CTestTestfile\\\\.cmake$"
    "/cmake_install\\\\.cmake$"
    "/CPackConfig\\\\.cmake$"
    "/CPackSourceConfig\\\\.cmake$"
    "/tags$"
    "/libmikmod-config$"
    "^config\\\\.h$"
    "/install_manifest\\\\.txt$"
    "/t/card-test-(parse|render)\\\\.c$"
    "/Testing/"
    "ids-whitelist\\\\.txt"
    "/_Inline/"
    "/(B|build|BUILD)/"
    "/autom4te.cache/"
)

IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
SET (ENABLE_ALSA 1 CACHE BOOL "Include the ALSA driver")
ELSE()
SET (ENABLE_ALSA 0)
ENDIF()

IF(UNIX AND NOT APPLE)
SET (ENABLE_OSS 1 CACHE BOOL "Include the OSS driver")
SET (ENABLE_ESD 0 CACHE BOOL "Include the EsounD (Enlightened Sound Daemon) driver")
SET (ENABLE_PULSE 1 CACHE BOOL "Include the PulseAudio driver")
SET (ENABLE_NAS 0 CACHE BOOL "Include the Network Audio System driver")
SET (ENABLE_AF 0 CACHE BOOL "Include the DEC AudioFile server (AF) driver")
ELSE()
SET (ENABLE_AF 0)
SET (ENABLE_OSS 0)
SET (ENABLE_PULSE 0)
SET (ENABLE_ESD 0)
SET (ENABLE_NAS 0)
ENDIF()

IF(CMAKE_SYSTEM_NAME MATCHES "kNetBSD.*|NetBSD.*|kOpenBSD.*|OpenBSD.*|Solaris.*")
SET (ENABLE_SUNAUDIO 1 CACHE BOOL "Include the SunAudio (or compatibles) driver")
ELSE()
SET (ENABLE_SUNAUDIO 0)
ENDIF()

IF(CMAKE_SYSTEM_NAME MATCHES "AIX.*")
SET (ENABLE_AIX 1 CACHE BOOL "Include the AIX audio driver")
ELSE()
SET (ENABLE_AIX 0)
ENDIF()

IF(CMAKE_SYSTEM_NAME MATCHES "HP-UX.*")
SET (ENABLE_AIX 1 CACHE BOOL "Include the HP-UX audio driver")
ELSE()
SET (ENABLE_HPUX 0)
ENDIF()

IF(WIN32)
SET (ENABLE_DSOUND 1 CACHE BOOL "Include the DirectSound driver")
SET (ENABLE_MMSOUND 1 CACHE BOOL "Include the Windows MCI driver")
SET (ENABLE_XAUDIO2 0 CACHE BOOL "Include the XAudio2 driver")
SET (ENABLE_XAUDIO28 0 CACHE BOOL "Use XAudio2.8 for Windows8 instead of XAudio2.7")
ELSE()
SET (ENABLE_DSOUND 0)
SET (ENABLE_MMSOUND 0)
SET (ENABLE_XAUDIO2 0)
SET (ENABLE_XAUDIO28 0)
ENDIF()

IF(APPLE)
SET (ENABLE_COREAUDIO 1 CACHE BOOL "Include the CoreAudio driver")
ELSE()
SET (ENABLE_COREAUDIO 0)
ENDIF()

SET (ENABLE_OPENAL 0 CACHE BOOL "Include the OpenAL driver")
SET (ENABLE_SDL 0 CACHE BOOL "Include the SDL driver")

IF(UNIX)
SET (ENABLE_STDOUT 1 CACHE BOOL "Support for output to stdout")
SET (ENABLE_PIPE 1 CACHE BOOL "Support for output via a pipe to another command")
ELSE()
SET (ENABLE_STDOUT 0)
SET (ENABLE_PIPE 0)
ENDIF()

SET (ENABLE_AIFF 1 CACHE BOOL "Support for output to an .aiff file")
SET (ENABLE_WAV 1 CACHE BOOL "Support for output to a .wav file")
SET (ENABLE_RAW 1 CACHE BOOL "Support for output raw pcm data to a file")

IF(NOT WIN32)
SET (ENABLE_DL 0 CACHE BOOL "Load ALSA and EsounD drivers at runtime")
SET (ENABLE_THREADS 1 CACHE BOOL "build a thread-safe version of libmikmod") # only for pthreads.
ELSE()
SET (ENABLE_DL 0)
SET (ENABLE_THREADS 0) # windows builds have it using win32api already.
ENDIF()

SET (ENABLE_SIMD 0 CACHE BOOL "Use SIMD (AltiVec or SSE2) optimizations (Unstable!)")
SET (ENABLE_RPATH 1 CACHE BOOL "Whether to use an rpath when linking" )
SET (ENABLE_STATIC 1 CACHE BOOL "Whether to build the static library (which takes more time)" )

### This is to set the RPATH correctly, so when installed
### under a prefix the executables will find the libraries.
### See:  http://www.cmake.org/Wiki/CMake_RPATH_handling
IF (ENABLE_RPATH)
    # use, i.e. don't skip the full RPATH for the build tree
    SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

    # when building, don't use the install RPATH already
    # (but later on when installing)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

    # the RPATH to be used when installing
    SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")

    # add the automatically determined parts of the RPATH
    # which point to directories outside the build tree to the install RPATH
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
ELSE(ENABLE_RPATH)
#   SET (CMAKE_SKIP_RPATH YES)
ENDIF(ENABLE_RPATH)

INCLUDE(CPack)
include(CheckFunctionExists)
include(CheckSymbolExists)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCSourceCompiles)
include(FindPkgConfig)
include(TestBigEndian)
include(mik_macros)

ADD_SUBDIRECTORY ("dlapi")
ADD_SUBDIRECTORY ("docs")
ADD_SUBDIRECTORY ("dos")
ADD_SUBDIRECTORY ("drivers")
ADD_SUBDIRECTORY ("include")
ADD_SUBDIRECTORY ("loaders")
ADD_SUBDIRECTORY ("macintosh")
ADD_SUBDIRECTORY ("macosx")
ADD_SUBDIRECTORY ("mmio")
ADD_SUBDIRECTORY ("os2")
ADD_SUBDIRECTORY ("playercode")
ADD_SUBDIRECTORY ("posix")
ADD_SUBDIRECTORY ("win32")

SET(COMPILER_FLAGS_TO_CHECK
    "-Wall" "-Werror=implicit-function-declaration"
)

IF (APPLE)
    LIST(APPEND COMPILER_FLAGS_TO_CHECK "-fno-common")
ENDIF()

IF (CPU_ARCH)
    LIST(APPEND COMPILER_FLAGS_TO_CHECK "-march=${CPU_ARCH}")
ENDIF()

IF (ENABLE_SIMD)
    IF(CMAKE_SYSTEM_PROCESSOR MATCHES "^i.86$")
        LIST(APPEND COMPILER_FLAGS_TO_CHECK "-msse2")

    # -faltivec is a useful Apple extension. it is not the same as -maltivec.
    ELSEIF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)" AND (CMAKE_SYSTEM_NAME MATCHES "Darwin"))
        LIST(APPEND COMPILER_FLAGS_TO_CHECK "-faltivec")

    ELSEIF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)64" AND (CMAKE_SYSTEM_NAME MATCHES "Darwin"))
        LIST(APPEND COMPILER_FLAGS_TO_CHECK "-faltivec")

    ELSEIF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)64" OR CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)")
        LIST(APPEND COMPILER_FLAGS_TO_CHECK "-maltivec")

    ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES "^i.86$")
ENDIF(ENABLE_SIMD)

IF ((CMAKE_BUILD_TYPE STREQUAL debug) OR (CMAKE_BUILD_TYPE STREQUAL RelWithDebInfo))
    IF (${CMAKE_COMPILER_IS_GNUCC})
        ADD_DEFINITIONS(
            "-Wold-style-declaration"
            "-Wmissing-prototypes"
            "-Wformat-nonliteral"
            "-Wcast-align"
            "-Wpointer-arith"
            "-Wbad-function-cast"
            "-Wstrict-prototypes"
            "-Wmissing-declarations"
            "-Wundef"
            "-Wnested-externs"
            "-Wcast-qual"
            "-Wshadow"
            "-Wwrite-strings"
            "-Wunused"
            "-Wfloat-equal"
            "-Wold-style-definition"
            "-Wdeclaration-after-statement"
        )
    ENDIF()
ENDIF()

IF (CMAKE_BUILD_TYPE STREQUAL release)
    LIST(APPEND COMPILER_FLAGS_TO_CHECK "-flto")
ENDIF()

SET (IDX 1)
FOREACH (CFLAG_TO_CHECK ${COMPILER_FLAGS_TO_CHECK})
    SET (FLAG_EXISTS_VAR "FLAG_EXISTS_${IDX}")
    MATH (EXPR IDX "${IDX} + 1")
    CHECK_C_COMPILER_FLAG("${CFLAG_TO_CHECK}" ${FLAG_EXISTS_VAR})
    IF (${FLAG_EXISTS_VAR})
        ADD_DEFINITIONS(${CFLAG_TO_CHECK})
    ENDIF (${FLAG_EXISTS_VAR})
ENDFOREACH(CFLAG_TO_CHECK)

# check for symbol visibility attributes
IF(NOT WIN32 AND NOT CYGWIN)
    SET(OLD_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS}")
    SET(CMAKE_REQUIRED_FLAGS "${OLD_REQUIRED_FLAGS} -Werror")
    CHECK_C_SOURCE_COMPILES("int foo(void) __attribute__((visibility(\"default\")));
                             int main(void) {return 0;}" HAVE_VISIBILITY_DEFAULT)
    IF(HAVE_VISIBILITY_DEFAULT)
        CHECK_C_COMPILER_FLAG(-fvisibility=hidden HAVE_VISIBILITY_HIDDEN)
        IF(HAVE_VISIBILITY_HIDDEN)
            ADD_DEFINITIONS(-fvisibility=hidden)
            ADD_DEFINITIONS("-DSYM_VISIBILITY")
        ENDIF()
    ENDIF()
    SET(CMAKE_REQUIRED_FLAGS "${OLD_REQUIRED_FLAGS}")
ENDIF()

TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

# to find mikmod_internals.h:
INCLUDE_DIRECTORIES(BEFORE ${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(BEFORE "${CMAKE_SOURCE_DIR}/include")

# to find config.h and mikmod[_build].h:
INCLUDE_DIRECTORIES(BEFORE ${CMAKE_BINARY_DIR})
FILE (MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/include")
INCLUDE_DIRECTORIES(BEFORE "${CMAKE_BINARY_DIR}/include")

CHECK_MULTI_INCLUDE_FILES(
    "dlfcn.h" "fcntl.h" "limits.h" "malloc.h" "memory.h" "strings.h" "sys/ioctl.h" "unistd.h" "windows.h"
)

IF(WIN32 AND NOT HAVE_WINDOWS_H)
    MESSAGE(FATAL_ERROR "windows.h not found.")
ENDIF()

IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
    CHECK_MULTI_INCLUDE_FILES("alsa/asoundlib.h" "sys/sam9407.h")
ENDIF()

CHECK_MULTI_FUNCTIONS_EXISTS(
    "posix_memalign" "setenv" "snprintf" "srandom"
)

CHECK_SYMBOL_EXISTS(RTLD_GLOBAL dlfcn.h HAVE_RTLD_GLOBAL)
CHECK_SYMBOL_EXISTS(srandom math.h SRANDOM_IN_MATH_H)

ADD_DEFINITIONS("-DHAVE_CONFIG_H")
# always define MIKMOD_BUILD when building libmikmod
ADD_DEFINITIONS("-DMIKMOD_BUILD")

SET (MIKMOD_LIB_MODULES
    drivers/drv_AF.c
    drivers/drv_aiff.c
    drivers/drv_aix.c
    drivers/drv_alsa.c
    drivers/drv_dart.c
    drivers/drv_ds.c
    drivers/drv_esd.c
    drivers/drv_gp32.c
    drivers/drv_hp.c
    drivers/drv_mac.c
    drivers/drv_nas.c
    drivers/drv_nos.c
    drivers/drv_openal.c
    drivers/drv_oss.c
    drivers/drv_osx.c
    drivers/drv_pipe.c
    drivers/drv_pulseaudio.c
    drivers/drv_raw.c
    drivers/drv_sam9407.c
    drivers/drv_sdl.c
    drivers/drv_sgi.c
    drivers/drv_stdout.c
    drivers/drv_sun.c
    drivers/drv_ultra.c
    drivers/drv_wav.c
    drivers/drv_win.c
    drivers/drv_xaudio2.c
    loaders/load_669.c
    loaders/load_amf.c
    loaders/load_asy.c
    loaders/load_dsm.c
    loaders/load_far.c
    loaders/load_gdm.c
    loaders/load_gt2.c
    loaders/load_imf.c
    loaders/load_it.c

## libmikmod 3.1.11-6.3

=== debian/changelog ===
libmikmod (3.1.11-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * Upstream fix for CVE-2009-3995 was incorrect, this is CVE-2010-2546
    (Closes: #575742)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 29 Jul 2010 21:16:34 -0400

libmikmod (3.1.11-6.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/CVE-2009-3995f.patch: fixes buffer overflows in the
    loaders for Impulse Tracker and Ultratracker files. (Closes: #575742)

 -- Arne Wichmann <aw@linux.de>  Sat, 12 Jun 2010 16:14:44 +0200

libmikmod (3.1.11-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/CVE-2007-6720.patch: Fixed application crash or abort when
    loading/playing multiple music files with varying number of channels.
    (CVE-2007-6720) (Closes: #461519)
  * debian/patches/CVE-2009-0179.patch: Fixed application crash when loading XM
    files. (CVE-2009-0179) (Closes: #476339)


 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 05 Aug 2009 11:50:25 +0200

libmikmod (3.1.11-6) unstable; urgency=medium

  * The "Play a .mod on your ia64 today!" release.
  * Module playback seems to be broken on ia64, too, but nobody noticed.
    Checking for defined(_LP64) as suggested in #272457 which _should_
    catch all 64bit archs.
  * Urgency medium because ia64 will be released with sarge.

 -- Ingo Saitz <ingo@debian.org>  Fri, 24 Sep 2004 14:43:15 +0200

libmikmod (3.1.11-5) unstable; urgency=low

  * Rebuild autotools files to fix FTBFS on GNU/k*BSD. (Closes: #263527)
  * Use dh_installman instead of obsoleted dh_installmanpages.

 -- Ingo Saitz <ingo@debian.org>  Tue, 10 Aug 2004 20:16:40 +0200

libmikmod (3.1.11-4) unstable; urgency=low

  * Correct -dev dependency.

 -- Ingo Saitz <ingo@debian.org>  Fri,  9 Jul 2004 00:40:33 +0200

libmikmod (3.1.11-3) unstable; urgency=low

  * Applied upstream patch 3.1.11-a which fixes automake warnings and
    ought to fix amd64 arch.
  * Also modified debian/rules to add the -a to the binary packages
    only, so no new .tar.gz is required.
  * Added some more checks for amd64 arch, thanks to Hans-Frieder Vogt
    to point it out.
  * Added missing build-dep on texinfo, since the upstream patch touches
    mikmod.texi and triggers a rebuild of mikmod.info.

 -- Ingo Saitz <ingo@debian.org>  Thu,  8 Jul 2004 14:59:28 +0200

libmikmod (3.1.11-2) unstable; urgency=low

  * Fix override disparity: set Section: libdevel für the -dev package.

 -- Ingo Saitz <ingo@debian.org>  Fri, 27 Feb 2004 20:23:57 +0100

libmikmod (3.1.11-1) unstable; urgency=low

  * New upstream version from Raphael Assenat.
    + New upstream maintainer
    + Includes almost all patches from the previous debian version
    + More small bugfixes (MODs with length >128 and raw output driver)
    + win32 Makefiles and DirectSound fixes (not checked ;)
  * Package complies to debian policy 3.6.1: no changes.
  * dump config.log when configure fails.

 -- Ingo Saitz <ingo@debian.org>  Fri, 27 Feb 2004 15:07:53 +0100

libmikmod (3.1.10-5) unstable; urgency=low

  * Fix package description (lintian).

 -- Ingo Saitz <ingo@debian.org>  Thu, 23 Jan 2003 17:08:10 +0100

libmikmod (3.1.10-4) unstable; urgency=low

  * Debian Policy 3.5.8: Adapt to new DEB_BUILD_OPTIONS.
  * Open libesd by its soname (Closes: #163938).
  * Old bug: libmikmod is already in the correct section, (Closes: #83945).

 -- Ingo Saitz <ingo@debian.org>  Wed, 22 Jan 2003 18:09:48 +0100

libmikmod (3.1.10-3) unstable; urgency=low

  * Received patch from upstream to solve broken fades for IT
    (Closes: #133998).

 -- Ingo Saitz <ingo@debian.org>  Sat, 16 Mar 2002 16:23:52 +0100

libmikmod (3.1.10-2) unstable; urgency=low

  * Fix -pthread recognization. Despite gcc simply ignoring unknown switches
    it also overoptimizes the test programm which really should not link in
    that case (Closes: #128779).
  * Also check for the devfs names of the oss driver. This allowes users to
    use libmikmod without running devfsd (Closes: #106168).

 -- Ingo Saitz <ingo@debian.org>  Mon,  4 Feb 2002 00:40:55 +0100

libmikmod (3.1.10-1) unstable; urgency=low

  * New upstream version.
  * mikmod Homepage moved to a new location.
  * Also changed copyright to include the bits about sox' sourcecode.
  * Still need patches to the build-system, upstream probably will include
    them in 3.1.11.
  * Debian Policy 3.5.6: no changes.

 -- Ingo Saitz <ingo@debian.org>  Tue, 29 Jan 2002 13:26:40 +0100

libmikmod (3.1.9-6) unstable; urgency=low

  * Update libtool to build on The Hurd (Closes: #105881)
  * Update config.{sub,guess} in debian/rules now
  * Debian Policy 3.5.5: no changes

 -- Ingo Saitz <ingo@debian.org>  Fri, 20 Jul 2001 23:38:33 +0200

libmikmod (3.1.9-5) unstable; urgency=low

  * Update autoconf files to recognize PA-RISC architecture (Closes #96733).
  * Update homepage URL in copyright file.
  * Tighten dependency in -dev package to the current version of libmikmod2.

 -- Ingo Saitz <ingo@debian.org>  Thu, 10 May 2001 18:10:08 +0200

libmikmod (3.1.9-4) unstable; urgency=low

  * New maintainer (Closes: #68118)
  * Apply patch to fix some playback problems from upstream:
    debian/patches/loader_mod.patch
  * Patch mdriver.c not to register invalid MDRIVER structures:
    debian/patches/mdriver_c.patch (forwarded to upstream) (Closes: #79425)
  * Also removed Build-Depends on libasound1-dev, since libmikmod does
    not support ALSA 0.5 currently (this caused the above bug to happen)
  * Changed configure to check for /dev/dsp instead /dev/sndstat for OSS
    presence. Fixes building on 2.4 kernels/ALSA with OSS emulation enabled:
    debian/patches/configure_oss.patch
  * Restructures debian/ regarding the installation of the documentation
    (Closes: #84051)
  * Added versioned build depends on debhelper (>> 2.2.11)
  * Bumped Standards-Version to 3.2.1.

 -- Ingo Saitz <ingo@debian.org>  Fri, 23 Feb 2001 15:22:34 +0100

libmikmod (3.1.9-3) unstable; urgency=low



=== debian/control ===
Source: libmikmod
Section: libs
Priority: optional
Maintainer: Ingo Saitz <ingo@debian.org>
Build-Depends: debhelper (>> 2.2.11), libesd0-dev, texinfo
Standards-Version: 3.6.1

Package: libmikmod2-dev
Section: libdevel
Architecture: any
Depends: libmikmod2 (= ${Binary-Version}), libc6-dev
Provides: libmikmod-dev
Conflicts: libmikmod-dev
Description: A portable sound library - development files
 This library is capable of playing samples as well as module
 files and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It has
 subsequently been hacked by many hands and now runs on many Unix flavours.
 It uses the OSS /dev/dsp driver including in all recent kernels for output,
 as well as ALSA and EsounD, and will also write wav files.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
 .
 This package contains the symlinks, headers, and object files needed to compile
 and link programs which use libmikmod.

Package: libmikmod2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: A portable sound library
 This library is capable of playing samples as well as module
 files and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It has
 subsequently been hacked by many hands and now runs on many Unix flavours. 
 It uses the OSS /dev/dsp driver including in all recent kernels for output,
 as well as ALSA and EsounD, and will also write wav files.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_COMPAT=2

# Parse DEB_BUILD_OPTIONS as in the policy manual, chapter 11
CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
export CFLAGS

# Work around outdated configure.guess (still need an up-to-date configure.sub)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


PWD=$(shell pwd)

# upstream provides new version simply as patch, so change the source version to:
PATCHEDVERSION := $(strip $(shell dpkg-parsechangelog | awk -F: '/^Version:/ {print $$NF}' | sed -e s/-/-a-/))

build: patch build-stamp
build-stamp:
	dh_testdir

	mkdir build
	cd build && ../configure \
		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
		--prefix=/usr --enable-threads || ( cat config.log; exit 1; )
	$(MAKE) -C build

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	-rm -f build-stamp install-stamp

	-rm -rf build
	-rm -f docs/mikmod.info

	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C build install DESTDIR=$(PWD)/debian/tmp

	touch install-stamp

patch: patch-stamp
patch-stamp:
	set -e; \
	if [ -d debian/patches ]; then \
	  for patch in `ls debian/patches/*`; do \
	    patch -p1 <$$patch; \
	  done; \
	fi

	touch patch-stamp

unpatch:
	set -e; \
	if [ -f patch-stamp ]; then \
	  for patch in `ls -r debian/patches/*`; do \
	    patch -R -p1 <$$patch; \
	  done; \
	fi
	
	-rm -f patch-stamp

binary-indep: build install
# Nothing to do (anymore)

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_movefiles -a
	dh_installdocs -a
	dh_installman -a
	dh_installinfo -a docs/mikmod.info*
	dh_installchangelogs -a NEWS
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
# upstream provides new version simply as patch, so change the source version to:
	dh_gencontrol -a -u"-v$(PATCHEDVERSION) -VBinary-Version=$(PATCHEDVERSION)"
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: binary binary-arch binary-indep build clean install patch unpatch

## libmikmod 3.1.12

=== debian/changelog ===
libmikmod (3.1.12-5) unstable; urgency=low

  * Acknowledge the NMU, thanks Simon!
  * Make the nosound driver have higher priority than the disk
    writers. (Closes: #690943)
  * Demote the pulseaudio-esound-compat | oss-compat recommendation to
    Suggests, now that the fallback is not the disk writer.
    (Closes: #696013)
  * Build with hardening=-fortify, as enabling fortification breaks the
    driver loading.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 21 Dec 2012 16:41:15 +0100

libmikmod (3.1.12-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patches from Hans de Goede and Pantelis Koukousoulas to enable
    the ESD driver, so we can interoperate with PulseAudio (Closes: #385844)
  * Recommend pulseaudio-esound-compat | oss-compat because if we don't have
    one of those, the fallback path is to write output to ./music.raw, which
    is unlikely to be what you want!

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Oct 2012 09:12:08 +0100

libmikmod (3.1.12-4) unstable; urgency=low

  * Drop the dependency on oss-compat. Programs that use libmikmod should
    recommend it instead. (Closes: #647686)
  * Bump Standards-Version to 3.9.3, no changes necessary.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 05 Apr 2012 18:24:47 +0200

libmikmod (3.1.12-3) unstable; urgency=low

  * Build with hardened build flags. Based on a patch by Moritz
    Muehlenhoff <jmm@debian.org>. (Closes: #656779)

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 09 Feb 2012 10:10:59 +0100

libmikmod (3.1.12-2) unstable; urgency=low

  * Transition to Multi-Arch and dh9, thanks to Vagrant Cascadian
    <vagrant@debian.org> and Steve Langasek <steve.langasek@canonical.com>.
    (Closes: #650996)

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 06 Dec 2011 10:33:37 +0100

libmikmod (3.1.12-1) unstable; urgency=low

  * New upstream version. (Closes: #533558)
    + Drop the 3.1.11-a patch, it's included upstream.
    + Modules with more then 255 orders are now supported.
      (Closes: #374217)

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 31 Oct 2011 21:23:56 +0100

libmikmod (3.1.11-8) unstable; urgency=low

  * New maintainer  (Closes: #628162).
  * Updated to use short-form dh(7).
  * Switch to format: 3.0 (quilt).
  * Use dh-autoreconf to freshen the autotools stuff. (Closes: #536000)
  * Add lintian overrides (with comments), to silence false alarms.
  * Include the upstream README under /usr/share/doc/libmikmod2, as this
    is where driver options are documented. (Closes: #423027)
  * Disable the esd driver. (Closes: #123150)
  * Depend on oss-compat, to be able to assume an OSS compatible /dev/dsp.
    (Closes: #385844). This is done on Linux too, because the ALSA driver
    is broken too.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sat, 29 Oct 2011 16:36:31 +0200

libmikmod (3.1.11-7) unstable; urgency=low

  * QA upload.
  * The package has been orphaned, set the mainatainer to Debian QA.
  * Stop shipping la file altogether.
  * Bump debhelper compat to 8, and clean up the packaging a bit.

 -- Regis Boudin <regis@debian.org>  Mon, 03 Oct 2011 19:34:56 +0100

libmikmod (3.1.11-6.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed regression introduced by CVE-2007-6720.patch
    (Closes: #631009)(LP: #194916)

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 01 Aug 2011 11:51:59 +0200

=== debian/control ===
Source: libmikmod
Section: libs
Priority: optional
Maintainer: Gergely Nagy <algernon@madhouse-project.org>
Build-Depends: debhelper (>= 9~), dh-autoreconf, texinfo, libesd0-dev
Standards-Version: 3.9.3
Homepage: http://mikmod.raphnet.net/
Vcs-Git: git://git.madhouse-project.org/debian/libmikmod.git
Vcs-Browser: http://git.madhouse-project.org/debian/libmikmod/

Package: libmikmod2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmikmod2 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Provides: libmikmod-dev
Conflicts: libmikmod-dev
Description: Portable sound library - development files
 This library is capable of playing samples as well as module
 files and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It has
 subsequently been hacked by many hands and now runs on many Unix flavours.
 It uses the OSS /dev/dsp driver included in all recent kernels for output,
 and will also write wav files.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
 .
 This package contains the symlinks, headers, and object files needed to compile
 and link programs which use libmikmod.

Package: libmikmod2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pulseaudio-esound-compat | oss-compat
Description: Portable sound library
 This library is capable of playing samples as well as module
 files and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It has
 subsequently been hacked by many hands and now runs on many Unix flavours. 
 It uses the OSS /dev/dsp driver included in all recent kernels for output,
 and will also write wav files.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.

=== debian/rules ===
#! /usr/bin/make -f

export DH_OPTIONS		+= -O-Bbuild
export DEB_BUILD_MAINT_OPTIONS	 = hardening=-fortify

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-threads \
		--disable-alsa \
		--enable-esd \
		$(shell dpkg-buildflags --export=configure)

override_dh_installinfo:
	dh_installinfo docs/mikmod.info*

override_dh_installchangelogs:
	dh_installchangelogs -a NEWS

%:
	dh $@ --with autoreconf

## libmikmod 3.1.16

=== debian/changelog ===
libmikmod (3.1.16-1) unstable; urgency=low

  * New maintainer (closes: #728593).
  * New upstream version.
  * Update patches:
    - drop 0001-Drop-LIBOBJS-from-configure.in.patch, obsolete
    - drop 0003-Use-_LP64-to-detect-64bit-arches.patch, integrated
      upstream
    - drop 0004-CVE-2009-0179.patch, integrated upstream
    - drop 0005-CVE-2007-6720.patch, integrated upstream
    - drop 0006-CVE-2009-3995f.patch, fixed in another way upstream
    - drop 0007-CVE-2010-2546.patch, integrated upstream
    - drop 0008-Fix-libmikmod-Makefile.in.patch, obsolete
    - drop 0009-libmikmod-Makefile.in-Respect-CPPFLAGS-and-LDFLAGS.patch,
      obsolete
    - drop 0010-libmikmod-config-manual-page-fix.patch, integrated
      upstream
    - drop 0011-Disable-ALSA-by-default.patch, obsolete
    - drop 0012-fix-ESD.patch, integrated upstream
    - drop 0013-fix-building-of-ESD.patch, obsolete
    - update
      0014-playercode-mdreg-Register-the-NULL-driver-before-the.patch.
  * Add symbols file.
  * Enable ALSA on Linux platforms.
  * Add watch file.
  * Drop the VCS URIs for now.
  * Standards-Version 3.9.5, no further change required.
  * Update lintian overrides.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Jan 2014 19:05:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: libmikmod
 Section: libs
 Priority: optional
-Maintainer: Gergely Nagy <algernon@madhouse-project.org>
-Build-Depends: debhelper (>= 9~), dh-autoreconf, texinfo, libesd0-dev
-Standards-Version: 3.9.3
-Homepage: http://mikmod.raphnet.net/
-Vcs-Git: git://git.madhouse-project.org/debian/libmikmod.git
-Vcs-Browser: http://git.madhouse-project.org/debian/libmikmod/
+Maintainer: Stephen Kitt <skitt@debian.org>
+Build-Depends: debhelper (>= 9~),
+               dh-autoreconf,
+               libasound2-dev [linux-any],
+               libesd0-dev,
+               texinfo
+Standards-Version: 3.9.5
+Homepage: http://mikmod.sf.net/
 
 Package: libmikmod2-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmikmod2 (= ${binary:Version}), libc6-dev, ${misc:Depends}
+Depends: libc6-dev,
+         libmikmod2 (= ${binary:Version}),
+         ${misc:Depends}
 Provides: libmikmod-dev
 Conflicts: libmikmod-dev
 Description: Portable sound library - development files
@@ -31,12 +35,13 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: pulseaudio-esound-compat | oss-compat
 Description: Portable sound library
  This library is capable of playing samples as well as module
  files and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It has
- subsequently been hacked by many hands and now runs on many Unix flavours. 
+ subsequently been hacked by many hands and now runs on many Unix flavours.
  It uses the OSS /dev/dsp driver included in all recent kernels for output,
  and will also write wav files.
  .

=== debian/rules ===
#! /usr/bin/make -f

export DH_OPTIONS		+= -O-Bbuild
export DEB_BUILD_MAINT_OPTIONS	 = hardening=-fortify

ENABLED = --enable-threads
ENABLED += --enable-esd
# Only enable ALSA on Linux
ifeq ($(DEB_HOST_ARCH_OS),linux)
  ENABLED += --enable-alsa
else
  ENABLED += --disable-alsa
endif

override_dh_auto_configure:
	dh_auto_configure -- $(ENABLED) $(shell dpkg-buildflags --export=configure)

override_dh_installinfo:
	dh_installinfo docs/mikmod.info*

override_dh_installchangelogs:
	dh_installchangelogs -a NEWS

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=3
http://sf.net/mikmod/libmikmod-(3\.1\..+)\.tar\.gz

## libmikmod 3.3.6

=== debian/changelog ===
libmikmod (3.3.6-4) unstable; urgency=medium

  * We no longer need to forcibly remove configure.ac.
  * Break and replace libmikmod2-dev (closes: #755920). Thanks to Sylvain
    Boilard for noticing!

 -- Stephen Kitt <skitt@debian.org>  Thu, 24 Jul 2014 19:18:07 +0200

libmikmod (3.3.6-3) unstable; urgency=medium

  * Use CMake correctly to install everything in the right place; thanks
    to Gert Wollny and Daniel Lintott for the instructions!
  * Drop EsounD support since it is now obsolete in Debian (closes:
    #753123). Thanks to Adrian Bunk for the prodding!

 -- Stephen Kitt <skitt@debian.org>  Sun, 29 Jun 2014 21:03:25 +0200

libmikmod (3.3.6-2) unstable; urgency=medium

  * Add collab-maint repository URIs.
  * Install libmikmod.pc.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 Apr 2014 22:51:48 +0200

libmikmod (3.3.6-1) unstable; urgency=medium

  * New upstream version.
  * Update patches:
    - drop 0002-dlopen-libesd.so.0-rather-than-libesd.so.patch, handled
      upstream;
    - refresh
      0014-playercode-mdreg-Register-the-NULL-driver-before-the.patch.
  * Move libmikmod-config to its own package (closes: #735206).

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Apr 2014 17:08:08 +0200

libmikmod (3.3.5-3) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Mar 2014 23:13:03 +0100

libmikmod (3.3.5-2) experimental; urgency=medium

  * Make libmikmod-dev provide libmikmod2-dev, to make the transition
    easier.

 -- Stephen Kitt <skitt@debian.org>  Mon, 17 Mar 2014 00:04:01 +0100

libmikmod (3.3.5-1) experimental; urgency=medium

  * New upstream version.
  * Update patches:
    - refresh
      0014-playercode-mdreg-Register-the-NULL-driver-before-the.patch;
    - drop 0015-fix-texinfo-infox-after-info-error.patch, merged
      upstream.
  * Enable pulseaudio support.
  * Only build-depend on libasound2-dev on Linux platforms.
  * Update description and stop suggesting compatibility packages, now
    that libmikmod supports modern sound output.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Jan 2014 20:02:14 +0100

libmikmod (3.3.4-2) experimental; urgency=medium

  * Forcibly disable ALSA on non-Linux platforms.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Dec 2013 23:41:36 +0100

libmikmod (3.3.4-1) experimental; urgency=low

  * New maintainer (closes: #728593).
  * New upstream version (closes: #672697), with a new soname: libmikmod2
    becomes libmikmod3.
  * Upload to experimental to prepare the library transition.
  * Ship the -dev package as libmikmod-dev.
  * Update patches:
    - drop 0001-Drop-LIBOBJS-from-configure.in.patch, obsolete
    - drop 0003-Use-_LP64-to-detect-64bit-arches.patch, integrated
      upstream
    - drop 0004-CVE-2009-0179.patch, integrated upstream
    - drop 0005-CVE-2007-6720.patch, integrated upstream
    - drop 0006-CVE-2009-3995f.patch, fixed in another way upstream
    - drop 0007-CVE-2010-2546.patch, integrated upstream
    - drop 0008-Fix-libmikmod-Makefile.in.patch, obsolete
    - drop 0009-libmikmod-Makefile.in-Respect-CPPFLAGS-and-LDFLAGS.patch,
      obsolete
    - drop 0010-libmikmod-config-manual-page-fix.patch, integrated
      upstream
    - drop 0011-Disable-ALSA-by-default.patch, obsolete
    - drop 0012-fix-ESD.patch, integrated upstream
    - drop 0013-fix-building-of-ESD.patch, obsolete
    - update
      0014-playercode-mdreg-Register-the-NULL-driver-before-the.patch
    - add 0015-fix-texinfo-infox-after-info-error.patch to fix build
      errors with texinfo 5.
  * Add symbols file.
  * Force cmake usage as recommended upstream:
    - delete configure.ac;
    - stop using dh-autoreconf;
    - manually move the appropriate files to multi-arch locations;
    - manually install the libmikmod-config manpage;
    - forcibly disable RPATH.
  * Enable ALSA, OpenAL and SDL audio outputs.
  * Add watch file.
  * Drop the VCS URIs for now.
  * Standards-Version 3.9.5, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 10 Dec 2013 01:11:56 +0100

## libmikmod 3.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 SET(LIBMIKMOD_MAJOR_VERSION 3)
 SET(LIBMIKMOD_MINOR_VERSION 3)
-SET(LIBMIKMOD_MICRO_VERSION 6)
+SET(LIBMIKMOD_MICRO_VERSION 7)
 
 SET(VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
 SET(LIBMIKMOD_VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
@@ -60,8 +60,6 @@
     "\\\\.so(\\\\.[0-9]+)*$"
     "/\\\\.svn/"
     "\\\\.(pdf|fo)$"
-    "/t/t/.*\\\\.exe$"
-    "/t/Presets"
     "/CMakeCache\\\\.txt$"
     "/CTestTestfile\\\\.cmake$"
     "/cmake_install\\\\.cmake$"
@@ -71,9 +69,9 @@
     "/libmikmod-config$"
     "^config\\\\.h$"
     "/install_manifest\\\\.txt$"
-    "/t/card-test-(parse|render)\\\\.c$"
+    "/t/"
     "/Testing/"
-    "ids-whitelist\\\\.txt"
+    "run-tests\\\\.pl"
     "/_Inline/"
     "/(B|build|BUILD)/"
     "/autom4te.cache/"
@@ -166,18 +164,18 @@
 ### under a prefix the executables will find the libraries.
 ### See:  http://www.cmake.org/Wiki/CMake_RPATH_handling
 IF (ENABLE_RPATH)
-    # use, i.e. don't skip the full RPATH for the build tree
+  # use, i.e. don't skip the full RPATH for the build tree
     SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
 
-    # when building, don't use the install RPATH already
-    # (but later on when installing)
+  # when building, don't use the install RPATH already
+  # (but later on when installing)
     SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
 
-    # the RPATH to be used when installing
+  # the RPATH to be used when installing
     SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
 
-    # add the automatically determined parts of the RPATH
-    # which point to directories outside the build tree to the install RPATH
+  # add the automatically determined parts of the RPATH
+  # which point to directories outside the build tree to the install RPATH
     SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 ELSE(ENABLE_RPATH)
 #   SET (CMAKE_SKIP_RPATH YES)
@@ -194,17 +192,12 @@
 
 ADD_SUBDIRECTORY ("dlapi")
 ADD_SUBDIRECTORY ("docs")
-ADD_SUBDIRECTORY ("dos")
 ADD_SUBDIRECTORY ("drivers")
 ADD_SUBDIRECTORY ("include")
 ADD_SUBDIRECTORY ("loaders")
-ADD_SUBDIRECTORY ("macintosh")
-ADD_SUBDIRECTORY ("macosx")
 ADD_SUBDIRECTORY ("mmio")
-ADD_SUBDIRECTORY ("os2")
 ADD_SUBDIRECTORY ("playercode")
 ADD_SUBDIRECTORY ("posix")
-ADD_SUBDIRECTORY ("win32")
 
 SET(COMPILER_FLAGS_TO_CHECK
     "-Wall" "-Werror=implicit-function-declaration"
@@ -295,10 +288,8 @@
 INCLUDE_DIRECTORIES(BEFORE ${CMAKE_SOURCE_DIR})
 INCLUDE_DIRECTORIES(BEFORE "${CMAKE_SOURCE_DIR}/include")
 
-# to find config.h and mikmod[_build].h:
+# to find config.h:
 INCLUDE_DIRECTORIES(BEFORE ${CMAKE_BINARY_DIR})
-FILE (MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/include")
-INCLUDE_DIRECTORIES(BEFORE "${CMAKE_BINARY_DIR}/include")
 
 CHECK_MULTI_INCLUDE_FILES(
     "dlfcn.h" "fcntl.h" "limits.h" "malloc.h" "memory.h" "strings.h" "sys/ioctl.h" "unistd.h" "windows.h"
@@ -326,6 +317,7 @@
 SET (MIKMOD_LIB_MODULES
     drivers/drv_AF.c
     drivers/drv_aiff.c
+    drivers/drv_ahi.c
     drivers/drv_aix.c
     drivers/drv_alsa.c
     drivers/drv_dart.c
@@ -337,9 +329,11 @@
     drivers/drv_nas.c
     drivers/drv_nos.c
     drivers/drv_openal.c
+    drivers/drv_osles.c
     drivers/drv_oss.c
     drivers/drv_osx.c
     drivers/drv_pipe.c
+    drivers/drv_psp.c
     drivers/drv_pulseaudio.c
     drivers/drv_raw.c
     drivers/drv_sam9407.c
@@ -360,3 +354,16 @@
     loaders/load_gt2.c
     loaders/load_imf.c
     loaders/load_it.c
+    loaders/load_m15.c
+    loaders/load_med.c
+    loaders/load_mod.c
+    loaders/load_mtm.c
+    loaders/load_okt.c
+    loaders/load_s3m.c
+    loaders/load_stm.c
+    loaders/load_stx.c
+    loaders/load_ult.c
+    loaders/load_umx.c
+    loaders/load_uni.c
+    loaders/load_xm.c
+    mmio/mmalloc.c

=== debian/changelog ===
libmikmod (3.3.7-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Sep 2014 13:57:23 +0200

=== debian/control ===
Source: libmikmod
Section: libs
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: cmake,
               debhelper (>= 9~),
               libasound2-dev [linux-any],
               libopenal-dev,
               libpulse-dev,
               libsdl1.2-dev,
               texinfo
Standards-Version: 3.9.5
Homepage: http://mikmod.sf.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/libmikmod.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libmikmod.git;a=summary

Package: libmikmod-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libmikmod3 (= ${binary:Version}),
         libmikmod-config,
         ${misc:Depends}
Provides: libmikmod2-dev
Conflicts: libmikmod2-dev
Description: Portable sound library - development files
 This library is capable of playing samples as well as module files
 and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It
 has subsequently been hacked by many hands and now runs on many Unix
 flavours.
 .
 It supports OSS, ALSA, SDL and PulseAudio outputs, and can also write
 to disk in raw, WAV and AIFF formats.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
 .
 This package contains the symlinks, headers, and object files needed
 to compile and link programs which use libmikmod.

Package: libmikmod-config
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libmikmod-dev (<< 3.3.6-1), libmikmod2-dev (<< 3.3.6-1)
Breaks: libmikmod-dev (<< 3.3.6-1), libmikmod2-dev (<< 3.3.6-1)
Description: Portable sound library - development binaries
 This library is capable of playing samples as well as module files
 and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It
 has subsequently been hacked by many hands and now runs on many Unix
 flavours.
 .
 It supports OSS, ALSA, SDL and PulseAudio outputs, and can also write
 to disk in raw, WAV and AIFF formats.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
 .
 This package contains libmikmod-config.

Package: libmikmod3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Portable sound library
 This library is capable of playing samples as well as module files
 and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It
 has subsequently been hacked by many hands and now runs on many Unix
 flavours.
 .
 It supports OSS, ALSA, SDL and PulseAudio outputs, and can also write
 to disk in raw, WAV and AIFF formats.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.

## libmikmod 3.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 SET(LIBMIKMOD_MAJOR_VERSION 3)
 SET(LIBMIKMOD_MINOR_VERSION 3)
-SET(LIBMIKMOD_MICRO_VERSION 7)
+SET(LIBMIKMOD_MICRO_VERSION 8)
 
 SET(VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
 SET(LIBMIKMOD_VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
@@ -97,6 +97,12 @@
 SET (ENABLE_NAS 0)
 ENDIF()
 
+IF(CMAKE_SYSTEM_NAME MATCHES "OpenBSD.*")
+SET (ENABLE_SNDIO 1 CACHE BOOL "Include the OpenBSD sndio driver")
+ELSE()
+SET (ENABLE_SNDIO 0)
+ENDIF()
+
 IF(CMAKE_SYSTEM_NAME MATCHES "kNetBSD.*|NetBSD.*|kOpenBSD.*|OpenBSD.*|Solaris.*")
 SET (ENABLE_SUNAUDIO 1 CACHE BOOL "Include the SunAudio (or compatibles) driver")
 ELSE()
@@ -110,7 +116,7 @@
 ENDIF()
 
 IF(CMAKE_SYSTEM_NAME MATCHES "HP-UX.*")
-SET (ENABLE_AIX 1 CACHE BOOL "Include the HP-UX audio driver")
+SET (ENABLE_HPUX 1 CACHE BOOL "Include the HP-UX audio driver")
 ELSE()
 SET (ENABLE_HPUX 0)
 ENDIF()
@@ -196,6 +202,7 @@
 ADD_SUBDIRECTORY ("include")
 ADD_SUBDIRECTORY ("loaders")
 ADD_SUBDIRECTORY ("mmio")
+ADD_SUBDIRECTORY ("depackers")
 ADD_SUBDIRECTORY ("playercode")
 ADD_SUBDIRECTORY ("posix")
 
@@ -339,6 +346,7 @@
     drivers/drv_sam9407.c
     drivers/drv_sdl.c
     drivers/drv_sgi.c
+    drivers/drv_sndio.c
     drivers/drv_stdout.c
     drivers/drv_sun.c
     drivers/drv_ultra.c
@@ -358,12 +366,3 @@
     loaders/load_med.c
     loaders/load_mod.c
     loaders/load_mtm.c
-    loaders/load_okt.c
-    loaders/load_s3m.c
-    loaders/load_stm.c
-    loaders/load_stx.c
-    loaders/load_ult.c
-    loaders/load_umx.c
-    loaders/load_uni.c
-    loaders/load_xm.c
-    mmio/mmalloc.c

=== examples/simpleplayFP/Makefile ===
CC=gcc
LD=$(CC)

LIBMIKMOD_CONFIG=libmikmod-config
LIBMIKMOD_CFLAGS=$(shell $(LIBMIKMOD_CONFIG) --cflags)
LIBMIKMOD_LIBS  =$(shell $(LIBMIKMOD_CONFIG) --libs)

CFLAGS=-Wall -g $(LIBMIKMOD_CFLAGS)
LDFLAGS=$(LIBMIKMOD_LIBS)

PROG=splayFP

OBJS=splayFP.o

.PHONY : clean install

all: $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)

%.o: %.c %.h
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f *.o $(PROG)

=== examples/simpleplayMEM/Makefile ===
CC=gcc
LD=$(CC)

LIBMIKMOD_CONFIG=libmikmod-config
LIBMIKMOD_CFLAGS=$(shell $(LIBMIKMOD_CONFIG) --cflags)
LIBMIKMOD_LIBS  =$(shell $(LIBMIKMOD_CONFIG) --libs)

CFLAGS=-Wall -g $(LIBMIKMOD_CFLAGS)
LDFLAGS=$(LIBMIKMOD_LIBS)

PROG=splayMEM

OBJS=myloader.o splayMEM.o

.PHONY : clean install

all: $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)

%.o: %.c %.h
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f *.o $(PROG)

=== debian/changelog ===
libmikmod (3.3.8-2) unstable; urgency=medium

  * Rebuild to get debug packages (closes: #785584).
  * Rework debian/copyright in machine-readable format.
  * Drop obsolete lintian source overrides.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Jan 2016 14:45:48 +0100

libmikmod (3.3.8-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 15 Nov 2015 20:51:45 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libpulse-dev,
                libsdl1.2-dev,
                texinfo
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mikmod.sf.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libmikmod.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libmikmod.git;a=summary

=== debian/rules ===
#! /usr/bin/make -f

export DH_OPTIONS		+= -O-Bbuild
export DEB_BUILD_MAINT_OPTIONS	 = hardening=-fortify

ENABLED = -DENABLE_ESD=0
ENABLED += -DENABLE_OPENAL=1
ENABLED += -DENABLE_SDL=1
ENABLED += -DENABLE_RPATH=0
# Only enable ALSA on Linux
ifeq ($(DEB_HOST_ARCH_OS), linux)
  ENABLED += -DENABLE_ALSA=1
else
  ENABLED += -DENABLE_ALSA=0
endif

override_dh_auto_configure:
	dh_auto_configure -- $(ENABLED)

override_dh_installman:
	sed 's/@VERSION@/$(shell grep SET.VERSION CMakeLists.txt | cut -d\" -f2)/g' < docs/libmikmod-config.1.in > build/docs/libmikmod-config.1
	dh_installman

override_dh_installinfo:
	dh_installinfo docs/mikmod.info*

override_dh_installchangelogs:
	dh_installchangelogs -a NEWS

%:
	dh $@ --buildsystem=cmake
